type: docker-compose
prepare:
  git: https://github.com/WeblateOrg/docker-compose.git
files:
  settings-override.py:
    content: |
      USE_X_FORWARDED_HOST = True
override:
  version: "3"
  services:
    weblate:
      ports:
        - "8080"
      environment:
        WEBLATE_DEBUG: 0
        WEBLATE_URL_PREFIX: !libervia_param [url_prefix, /weblate]
        WEBLATE_EMAIL_HOST: !libervia_conf ["application weblate", "email_server"]
        WEBLATE_EMAIL_HOST_USER: !libervia_conf ["application weblate", "email_username"]
        WEBLATE_EMAIL_HOST_PASSWORD: !libervia_conf ["application weblate", "email_password"]
        WEBLATE_SERVER_EMAIL: !libervia_conf ["application weblate", "email_from", "weblate@example.com"]
        WEBLATE_DEFAULT_FROM_EMAIL: !libervia_conf ["application weblate", "email_from", "weblate@example.com"]
        WEBLATE_SITE_DOMAIN: !libervia_conf ["application weblate", "public_url"]
        WEBLATE_ADMIN_PASSWORD: !libervia_generate_pwd {name: admin}
        WEBLATE_ADMIN_EMAIL: !libervia_conf ["", "email_admins_list", "", "first"]
        WEBLATE_ENABLE_HTTPS: !libervia_conf ["application weblate", "enable_https", "1"]
      volumes:
        - ./settings-override.py:/app/data/settings-override.py:ro
expose:
  url_prefix: [override, services, weblate, environment, WEBLATE_URL_PREFIX]
  web_url_path: !libervia_param [front_url_path, /translate]
  web_label: Translate
  ports:
    web:
      service: weblate
      private: 8080
  passwords:
    admin: [override, services, weblate, environment, WEBLATE_ADMIN_PASSWORD]
